North Pole Merriment

    postcss-display-inline-block

    1.0.0 • Public • Published

    PostCSS Display-inline-block

    PostCSS PostCSS plugin to add hacker for IE8.

    Use for gulp

    var gulp = require('gulp');
    var postcss = require('gulp-postcss');
     
     
    gulp.task('default', function() {
        return gulp.src('src/**/*.css')
            .pipe(postcss([require('postcss-display-block')]))
            .pipe(gulp.dest('build/'));
    });
     

    For example

    /* Input example */
    .display_inline_block {
      display: inline-block;
    }
    /* Output example */
    .display_inline_block {
        display: inline-block;
        *display: inline;
        *zoom: 1;
    }

    or

    /* Input example */
    .display_inline_block {
      display: inline-block;
      *zoom:1;
    }
    /* Output example */
    .display_inline_block {
        display: inline-block;
        *display: inline;
        *zoom: 1;
    }

    or

    /* Input example */
    .display_inline_block {
      display: inline-block;
      *display: inline;
    }
    /* Output example */
    .display_inline_block {
        display: inline-block;
        *display: inline;
        *zoom: 1;
    }

    license

    MIT

    Install

    npm i postcss-display-inline-block

    DownloadsWeekly Downloads

    0

    Version

    1.0.0

    License

    MIT

    Last publish

    Collaborators

    • aemoe